org.apache.nutch.plugin

## Class PluginClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.apache.nutch.plugin.PluginClassLoader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class PluginClassLoader
      extends URLClassLoader

  The `PluginClassLoader` contains only classes of the runtime libraries setuped in the plugin manifest file and exported libraries of plugins that are required pluguin. Libraries can be exported or not. Not exported libraries are only used in the plugin own `PluginClassLoader`. Exported libraries are available for `PluginClassLoader` of plugins that depends on these plugins.
  Author:
    joa23

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginClassLoader(URL[] urls, ClassLoader parent)` Construtor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.net.URLClassLoader

      `addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginClassLoader

          public PluginClassLoader(URL[] urls,
                           ClassLoader parent)

      Construtor
      Parameters:
        `urls` - Array of urls with own libraries and all exported libraries of plugins that are required to this plugin
        `parent` -

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015 The Apache Software Foundation